Skip to Content

POST Zones

Gebruik dit endpoint om een nieuwe zone binnen een branch aan te maken.

Gebruikersniveau: Gevorderd

Endpoint

POST /v1/{scopeId}/zones
EigenschapWaarde
MethodPOST
Scope IDBranch UUID
AuthenticatieAuthorization: Bearer <access_token>
Vereiste scoperoutix:zones:write
Content-Typeapplication/json
Request bodyJSON object

Create-regels

  • Zones zijn branch-or-null resources, maar de request gebruikt nog steeds een branch UUID in de URL.
  • organization_id en branch_id worden server-side gezet.

Toegestane createvelden

Veld
name
code
status
country_code
comment

Voorbeeldrequest

curl -X POST "https://api.routix.com/v1/550e8400-e29b-41d4-a716-446655440000/zones" \ -H "Authorization: Bearer eyJhbGciOiJIUzI1NiIs..." \ -H "Content-Type: application/json" \ -d '{ "name": "Benelux", "code": "BENELUX", "status": "active", "country_code": "NL" }'

Voorbeeldresponse

{ "data": { "id": "550e8400-e29b-41d4-a716-446655440081", "name": "Benelux", "code": "BENELUX", "status": "active", "country_code": "NL" }, "version": "v1" }
Last updated on